Bug 247582 - devel/py-pluggy: Update to 0.13.1
Summary: devel/py-pluggy: Update to 0.13.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kai Knoblich
URL: https://github.com/pytest-dev/pluggy/...
Keywords:
Depends on:
Blocks:
 
Reported: 2020-06-27 10:17 UTC by Kai Knoblich
Modified: 2020-07-05 12:48 UTC (History)
0 users

See Also:
koobs: maintainer-feedback+
kai: merge-quarterly-


Attachments
py-pluggy-0.13.1.patch (1.53 KB, patch)
2020-06-27 10:17 UTC, Kai Knoblich
koobs: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kai Knoblich freebsd_committer 2020-06-27 10:17:25 UTC
Created attachment 215976 [details]
py-pluggy-0.13.1.patch

Hi Koobs,

attached is the patch that updates devel/py-pluggy to 0.13.1.

QA:
~~~
- poudriere (11.3-RELEASE amd64 for each py27, py35, py36, py37, py38 flavor) -> OK
- poudriere bulk run against all consumers -> OK

Version requirements of the consumers:
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
> Port                            Makefile        Source                  Remarks
> devel/py-pytest                 >=0.9,<1.0      >=0.9,!=0.10,<1.0       setup.py
> devel/py-tox                    >=0.3.0,<1.0    >=0.3.0,<1              setup.cfg
> security/py-muacrypt            >=0             N/A                     Noted as "pluggy" in setup.py
> textproc/scancode-toolkit       >=0.4.0         pluggy>=0.3.0,<1        setup.py

Results of "make test":

py27:
~~~~~
> 87 passed, 1 skipped in 0.53 seconds

py35, py36, py37, py38:
~~~~~~~~~~~~~~~~~~~~~~~
> 88 passed in 0.43 seconds
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2020-06-29 13:04:45 UTC
You got this Kai, thank you

MFH: Yes|No (reason) ?
Comment 2 Kai Knoblich freebsd_committer 2020-06-30 07:15:39 UTC
(In reply to Kubilay Kocak from comment #1)

MFH'ing is not required as the 0.13.1 release only contains two "trivial/internal" changes since the 0.12.0 release.
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2020-06-30 08:52:40 UTC
Comment on attachment 215976 [details]
py-pluggy-0.13.1.patch

Approved by: koobs (maintainer)

MFH: <branch|No> <reason>
Comment 4 commit-hook freebsd_committer 2020-07-05 12:42:16 UTC
A commit references this bug:

Author: kai
Date: Sun Jul  5 12:41:57 UTC 2020
New revision: 541277
URL: https://svnweb.freebsd.org/changeset/ports/541277

Log:
  devel/py-pluggy: Update to 0.13.1

  Changelog since 0.12.0:

  https://github.com/pytest-dev/pluggy/blob/0.13.1/CHANGELOG.rst

  PR:		247582
  Approved by:	koobs (maintainer)
  MFH:		No (contains only two trivial/internal changes)

Changes:
  head/devel/py-pluggy/Makefile
  head/devel/py-pluggy/distinfo
Comment 5 Kai Knoblich freebsd_committer 2020-07-05 12:48:21 UTC
(In reply to Kubilay Kocak from comment #3)

Committed, thank you for your approval and review!